<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout}"
>
<head>
    <meta charset="UTF-8"/>
    <title>Bank Soal</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Bank Soal
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card border">
                    <div class="card-header">
                        <h5>Description</h5>
                    </div>
                    <div class="card-body">
                        <p class="card-text" th:if="${deskripsiSoal != null}" th:utext="${deskripsiSoal.getDeskripsi()}"></p>
                        <p class="card-text" th:if="${deskripsiSoal == null}"></p>
                    </div>
                    <div class="card-footer">
                        <div class="row">
                            <div class="col-md-12">
                                <p>
                                    <a
                                            th:if="${deskripsiSoal != null}"
                                            class="link-primary"
                                            th:href="@{/bank-soal/form (id = ${deskripsiSoal.id})}"
                                            role="button"
                                    >Click Here</a
                                    >
                                    <a
                                            th:if="${deskripsiSoal == null}"
                                            class="link-primary"
                                            th:href="@{/bank-soal/form}"
                                            role="button"
                                    >Click Here</a
                                    >
                                    for add new questions.
                                </p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th class="text-center" rowspan="2" style="width: 10px">No</th>
                                        <th class="text-center" rowspan="2">Question</th>
                                        <th class="text-center" colspan="3">Answer</th>
                                        <th class="text-center" rowspan="2" style="width: 150px">Option</th>
                                    </tr>
                                    <tr>
                                        <th style="width: 10px"></th>
                                        <th>Desc</th>
                                        <th style="width: 10px;">Status</th>
                                    </tr>
                                    </thead>
                                    <tbody th:each="data,row : ${listSoal}">
                                        <tr>
                                            <td rowspan="4" th:text="${data.getNomor()}">1</td>
                                            <td rowspan="4" th:utext="${data.getPertanyaan()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Beatae consequuntur, culpa earum, id magnam modi mollitia officiis praesentium quos rerum totam vel velit. Dicta enim quod sapiente! Iste, nihil odit.</td>
                                            <td>A</td>
                                            <td th:utext="${data.getPilihanA()}">Jawaban A</td>
                                            <td th:if="${data.getJawabanA() == true}">Benar</td>
                                            <td th:if="${data.getJawabanA() != true}">Salah</td>
                                            <td rowspan="4">
                                                <a th:href="@{/bank-soal/edit (id = ${data.getId()})}" class="btn btn-sm btn-success">Edit</a>
                                                <a th:href="@{/bank-soal/delete (id= ${data.getId()})}" class="btn btn-sm btn-danger">Delete</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>B</td>
                                            <td th:utext="${data.getPilihanB()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aperiam itaque praesentium sequi? Ad assumenda deleniti eius fuga illo illum impedit iusto maiores modi nesciunt. Architecto dolore error incidunt tempore temporibus. </td>
                                            <td th:if="${data.getJawabanB() == true}">Benar</td>
                                            <td th:if="${data.getJawabanB() != true}">Salah</td>
                                        </tr>
                                        <tr>
                                            <td>C</td>
                                            <td th:utext="${data.getPilihanC()}">Jawaban C</td>
                                            <td th:if="${data.getJawabanC() == true}">Benar</td>
                                            <td th:if="${data.getJawabanC() != true}">Salah</td>
                                        </tr>
                                        <tr>
                                            <td>D</td>
                                            <td th:utext="${data.getPilihanD()}">Jawaban D</td>
                                            <td th:if="${data.getJawabanD() == true}">Benar</td>
                                            <td th:if="${data.getJawabanD() != true}">Salah</td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="row">
                                    <div class="col-md-12 text-end">
                                        <a class="btn btn-secondary" th:href="@{/bank-soal/list}">Back</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>
